Package com.omnisci.thrift.server

## Class TImportStatus

- java.lang.Object
- - com.omnisci.thrift.server.TImportStatus

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TImportStatus>`, `org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>`, `org.apache.thrift.TSerializable`

    public class TImportStatus
    extends Object
    implements org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>, Serializable, Cloneable, Comparable<TImportStatus>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TImportStatus._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `elapsed`
`static Map<TImportStatus._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `rows_completed`
`long` `rows_estimated`
`long` `rows_rejected`

### Constructor Summary

Constructors
`TImportStatus()`
`TImportStatus​(long elapsed, long rows_completed, long rows_estimated, long rows_rejected)`
`TImportStatus​(TImportStatus other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TImportStatus other)`
`TImportStatus` `deepCopy()`
`boolean` `equals​(TImportStatus that)`
`boolean` `equals​(Object that)`
`TImportStatus._Fields` `fieldForId​(int fieldId)`
`long` `getElapsed()`
`Object` `getFieldValue​(TImportStatus._Fields field)`
`long` `getRows_completed()`
`long` `getRows_estimated()`
`long` `getRows_rejected()`
`int` `hashCode()`
`boolean` `isSet​(TImportStatus._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetElapsed()` Returns true if field elapsed is set (has been assigned a value) and false otherwise
`boolean` `isSetRows_completed()` Returns true if field rows_completed is set (has been assigned a value) and false otherwise
`boolean` `isSetRows_estimated()` Returns true if field rows_estimated is set (has been assigned a value) and false otherwise
`boolean` `isSetRows_rejected()` Returns true if field rows_rejected is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TImportStatus` `setElapsed​(long elapsed)`
`void` `setElapsedIsSet​(boolean value)`
`void` `setFieldValue​(TImportStatus._Fields field, Object value)`
`TImportStatus` `setRows_completed​(long rows_completed)`
`void` `setRows_completedIsSet​(boolean value)`
`TImportStatus` `setRows_estimated​(long rows_estimated)`
`void` `setRows_estimatedIsSet​(boolean value)`
`TImportStatus` `setRows_rejected​(long rows_rejected)`
`void` `setRows_rejectedIsSet​(boolean value)`
`String` `toString()`
`void` `unsetElapsed()`
`void` `unsetRows_completed()`
`void` `unsetRows_estimated()`
`void` `unsetRows_rejected()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### elapsed

    public long elapsed

#### rows_completed

    public long rows_completed

#### rows_estimated

    public long rows_estimated

#### rows_rejected

    public long rows_rejected

#### metaDataMap

    public static final Map<TImportStatus._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TImportStatus

    public TImportStatus()

#### TImportStatus

    public TImportStatus​(long elapsed,
                         long rows_completed,
                         long rows_estimated,
                         long rows_rejected)

#### TImportStatus

    public TImportStatus​(TImportStatus other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TImportStatus deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>`

#### getElapsed

    public long getElapsed()

#### setElapsed

    public TImportStatus setElapsed​(long elapsed)

#### unsetElapsed

    public void unsetElapsed()

#### isSetElapsed

    public boolean isSetElapsed()

Returns true if field elapsed is set (has been assigned a value) and false otherwise

#### setElapsedIsSet

    public void setElapsedIsSet​(boolean value)

#### getRows_completed

    public long getRows_completed()

#### setRows_completed

    public TImportStatus setRows_completed​(long rows_completed)

#### unsetRows_completed

    public void unsetRows_completed()

#### isSetRows_completed

    public boolean isSetRows_completed()

Returns true if field rows_completed is set (has been assigned a value) and false otherwise

#### setRows_completedIsSet

    public void setRows_completedIsSet​(boolean value)

#### getRows_estimated

    public long getRows_estimated()

#### setRows_estimated

    public TImportStatus setRows_estimated​(long rows_estimated)

#### unsetRows_estimated

    public void unsetRows_estimated()

#### isSetRows_estimated

    public boolean isSetRows_estimated()

Returns true if field rows_estimated is set (has been assigned a value) and false otherwise

#### setRows_estimatedIsSet

    public void setRows_estimatedIsSet​(boolean value)

#### getRows_rejected

    public long getRows_rejected()

#### setRows_rejected

    public TImportStatus setRows_rejected​(long rows_rejected)

#### unsetRows_rejected

    public void unsetRows_rejected()

#### isSetRows_rejected

    public boolean isSetRows_rejected()

Returns true if field rows_rejected is set (has been assigned a value) and false otherwise

#### setRows_rejectedIsSet

    public void setRows_rejectedIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TImportStatus._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>`

#### getFieldValue

    public Object getFieldValue​(TImportStatus._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>`

#### isSet

    public boolean isSet​(TImportStatus._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TImportStatus that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TImportStatus other)

Specified by:
  `compareTo` in interface `Comparable<TImportStatus>`

#### fieldForId

    public TImportStatus._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TImportStatus,​TImportStatus._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`